<?php

declare(strict_types=1);

namespace Demo\AdminGrid\Controller\Adminhtml\Custom;

use Magento\Backend\App\Action\Context;
use Magento\Backend\App\Action;
use Magento\Framework\View\Result\PageFactory;
use Magento\Framework\View\Result\Page;
use Magento\Framework\App\Action\HttpGetActionInterface;

class CustomDataProvider extends Action implements HttpGetActionInterface
{
    public function __construct(
        Context $context,
        private readonly PageFactory $pageFactory
    ) {
        parent::__construct($context);
    }

    public function execute(): Page
    {
        $resultPage = $this->pageFactory->create();
        $resultPage->setActiveMenu('Demo_AdminGrid::grids');
        $resultPage->addBreadcrumb(__('Grids'), __('Grids'));
        $resultPage->addBreadcrumb(__('Custom'), __('Custom'));
        $resultPage->getConfig()->getTitle()->prepend(__('Custom Data Provider'));
        return $resultPage;
    }
}
